# Buildings, floors and areas of a property

`GET /public/lodging/areas` · Rivier · bookings

Buildings, floors and areas of a property.

- Scope: bookings:read
- Graphql: Query.publicLodgingAreas
- Sdk: bookings.publicStay.areas
- Cli: bookings public stay areas
- Publishable: yes

## Parameters

- `propertyId` (query, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/public/lodging/areas' \
  -H 'Authorization: Bearer $KEY'
```
